Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2c.catalog.pipeline
Class GetCategoryPC

    java.lang.Object
      |
      +--com.bea.p13n.appflow.pipeline.PipelineComponentSupport
            |
            +--examples.e2e.b2c.catalog.pipeline.CatalogPC
                  |
                  +--examples.e2e.b2c.catalog.pipeline.GetCategoryPC

public class GetCategoryPC
extends CatalogPC

This `PipelineComponent` extracts a `CategoryKey` from the `PipelineSession`, retrieves the `Category` with the associated `CategoryKey` from the Catalog, and places the item into the `PipelineSession` in the session scope.

See Also:
  `PipelineComponent`, `PipelineSession`, `CategoryKey`, `Category`, `CategoryManager`, `CatalogPC`

Fields inherited from class com.bea.p13n.appflow.pipeline.PipelineComponentSupport
`exFmt`

Constructor Summary
`GetCategoryPC()`

Method Summary
`PipelineSession` | `process(PipelineSession pipelineSession, java.lang.Object requestContext)`

Methods inherited from class examples.e2e.b2c.catalog.pipeline.CatalogPC
`getCatalogManager, getCatalogRequest`

Methods inherited from class com.bea.p13n.appflow.pipeline.PipelineComponentSupport
`getCurrentNamespace, getRequestAttribute, getSessionAttribute, setRequestAttribute, setSessionAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetCategoryPC

    public GetCategoryPC()

Method Detail

### process

    public PipelineSession process(PipelineSession pipelineSession,
                                   java.lang.Object requestContext)
                            throws PipelineException,
                                   java.rmi.RemoteException

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved